### A free/open-source library for quantitative finance

Public Member Functions
DerivedQuote< UnaryFunction > Class Template Reference

market quote whose value depends on another quote More...

`#include <ql/quotes/derivedquote.hpp>`

Inheritance diagram for DerivedQuote< UnaryFunction >:
[legend]

List of all members.

## Public Member Functions

| DerivedQuote (const Handle< Quote > &element, const UnaryFunction &f)
Quote interface
Real | value () const
| returns the current value
bool | isValid () const
| returns true if the Quote holds a valid value
Observer interface
void | update ()

## Detailed Description

### template<class UnaryFunction>
class QuantLib::DerivedQuote< UnaryFunction >

market quote whose value depends on another quote

Tests:
  the correctness of the returned values is tested by checking them against numerical calculations.

## Member Function Documentation

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Implements Observer.